package com.huatek.busi.mapper;

import java.util.List;
import java.util.Map;

import com.huatek.busi.entity.BusiTransformerSensor;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.TransformerPdCountDto;
import com.huatek.busi.dto.TransformerPdDto;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.TransformerPdCountVo;
import com.huatek.busi.vo.datainput.TransformerInputPdVo;
import com.huatek.busi.vo.monitor.TransformerPdVo;

/**
 * 变压器/电抗器——局部放电：021001、024001、027001 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface TransformerPdMapper extends BaseMonitorDataMapper{

	Page<Map<String, Object>> findCACPageData(Map<String, Object> params);
	
	/**
	 * 导出局放历史数据
	 */
	List<TransformerInputPdVo> exportCacMonitorData(Map<String, Object> params);

    Page<Map<String, Object>> findReportDataList(@Param("sensorCode") String sensorCode,
        @Param("startTime") String startTime,
        @Param("endTime") String endTime);
    
    Page<Map<String, Object>> findReportDataListByFirstData(@Param("sensorCode") String sensorCode);

    List<TransformerPdCountVo> getListEquInfo(TransformerPdCountDto param);
    
    Page<Map<String, Object>> findTransformerPdPage(TransformerPdDto transformerPdDto);
    
    Page<Map<String, Object>> findGisPdPage(TransformerPdDto transformerPdDto);

    Page<Map<String, Object>> findCablePdPage(TransformerPdDto transformerPdDto);

    List<TransformerPdVo> exportTransformerPdPage(TransformerPdDto transformerPdDto);
    
    List<TransformerPdVo> exportGisPdPage(TransformerPdDto transformerPdDto);

    List<TransformerPdVo> exportOtherPdPage(TransformerPdDto transformerPdDto);

    List<TransformerPdVo> exportCablePdPage(TransformerPdDto transformerPdDto);
    
    Page<Map<String, Object>> findOtherPdPage(TransformerPdDto transformerPdDto);

}
